## alsamixer

alsamixer — Control sound input and output levels with ALSA

## Synopsis

    struct              GstAlsaMixerElement;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstAlsaMixerElement

## Implemented Interfaces

GstAlsaMixerElement implements GstImplementsInterface, GstMixer and GstPropertyProbe.

## Properties

      "device"                   gchar*                : Read / Write
      "device-name"              gchar*                : Read

## Description

This element controls various aspects such as the volume and balance of an audio device using the ALSA api.

The application should query and use the interfaces provided by this element to control the device.

Last reviewed on 2006-03-01 (0.10.4)

## Synopsis

### Element Information

plugin | alsa
author | Leif Johnson <leif@ambient.2y.net>
class | Generic/Audio

### Element Pads

## Details

### struct GstAlsaMixerElement

    struct GstAlsaMixerElement;

Opaque datastructure.

## Property Details

### The `"device"` property

      "device"                   gchar*                : Read / Write

ALSA device, as defined in an asound configuration file.

Default value: "default"

### The `"device-name"` property

      "device-name"              gchar*                : Read

Human-readable name of the sound device.

Default value: ""

## See Also

alsasink, alsasrc